Ubuntu

10ec:8192 [Samsung NP-R780-JS01US] Ubuntu does not recognize laptop internal wireless adapter

Reported by theUg on 2010-05-03
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

OS does not recognize internal wireless on a new laptop (Samsung NP-R780-JS01US series was introduced in Q1 of 2010). NetworkManager applet states that wireless device is not ready. Wireless adapter in question (wlan0) is Realtek RTL8192E Wireless LAN 802.11n PCI-E NIC.

I have to use Linksys wireless USB adapter (Bus 002 Device 003: ID 13b1:0020 Linksys WUSB54GC 802.11g Adapter [ralink rt73]), so disregard any mention of it in reports.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: network-manager-gnome 0.8-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CRDA: Error: [Errno 2] No such file or directory
CheckboxSubmission: dcc96e1b7eb97453835fbd4e21f6c536
CheckboxSystem: 669b662da410063cc918e0f60cf6cddf
Date: Sun May 2 18:57:13 2010
ExecutablePath: /usr/bin/nm-applet
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
IpRoute:
 192.168.0.0/24 dev wlan1 proto kernel scope link src 192.168.0.104 metric 2
 169.254.0.0/16 dev wlan1 scope link metric 1000
 default via 192.168.0.1 dev wlan1 proto static
Keyfiles: Error: [Errno 2] No such file or directory
ProcEnviron:
 LANG=ru_RU.utf8
 SHELL=/bin/bash
SourcePackage: network-manager-applet
XsessionErrors: (polkit-gnome-authentication-agent-1:1619): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ug 1625 F.... pulseaudio
 /dev/snd/controlC0: ug 1625 F.... pulseaudio
 /dev/snd/pcmC0D0p: ug 1625 F...m pulseaudio
CRDA: Error: [Errno 2] Нет такого файла или каталога
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7c00000 irq 43'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,144dc06a,00100004'
   Controls : 14
   Simple ctrls : 9
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xf3080000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
CheckboxSubmission: dcc96e1b7eb97453835fbd4e21f6c536
CheckboxSystem: 669b662da410063cc918e0f60cf6cddf
DistroRelease: Ubuntu 11.10
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: SAMSUNG ELECTRONICS CO., LTD. R780/R778
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=85b39569-db13-4b9c-a614-71846d8cf69a ro vga=792 quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
StagingDrivers: r8192e_pci
Tags: oneiric running-unity staging
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-10-16 (8 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/21/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 07JA.M031.20100421.LDG
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: R780/R778
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: 07JA
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr07JA.M031.20100421.LDG:bd04/21/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnR780/R778:pvr07JA:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR780/R778:rvr07JA:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
dmi.product.name: R780/R778
dmi.product.version: 07JA
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

theUg (theug) wrote :
theUg (theug) wrote :

Broadcom is a Bluetooth adapter (Broadcom BCM2070 bluetooth 2.1 + EDR USB Device). Wireless adapter in question (wlan0) is Realtek RTL8192E Wireless LAN 802.11n PCI-E NIC.

theUg (theug) on 2010-05-04
description: updated
theUg (theug) wrote :

If needed I have access for Windows drivers from Samsung website (2000.4.201.2010 for 64- and 32-bit Win7 and 1678.0.1019.2009 for WinXP).

XTudo - Robson Fernando (xtudo) wrote :

EN:

Hello, after many sleepless nights I found a driver that worked perfectly with the card RTL8192E without much effort on Ubuntu 10:04 Final. Please post your experiences.

Ps: my notebook, Samsung Q320, Wireless Realtek
http://www.americanas.com.br/AcomProd/590/3078809

Driver:
http://www.dirk-hoeschen.de/temp/rtl819Xe.tar.gz

Credits:
http://www.tuquoc.org/en/node/1214
http://www.dirk-hoeschen.de

PT-BR:

Olá, após muitas noites em claro encontrei um driver que funcionou perfeitamente com a placa RTL8192E sem muitos esforços no Ubuntu 10.04 Final. Por favor, postem suas experiencias.

Ps: meu notebook, Samsung Q320, Wireless Realtek
http://www.americanas.com.br/AcomProd/590/3078809

Driver:
http://www.dirk-hoeschen.de/temp/rtl819Xe.tar.gz

Creditos:
http://www.tuquoc.org/en/node/1214
http://www.dirk-hoeschen.de

theUg (theug) wrote :

Doesn’t seem to work for me. After using the shell script (seems to copy stuff fine, although there were some warnings I could not save, cause it moves too fast, then closes) driver file (r8192_pci.ko) shows up where it supposed to, but network manager still says “device not ready” for wlan0.

I have the same computer, and it doesn't find any wireless networks either. :( Works fine with Windows 7.

stern88 (i-need-spam123) wrote :

Hi!
I have also a R780 laptop and my Ubuntu 10.10 Maverick doesn´t recognize my internal wireless card from Realtek (R8192E). I tried to use the driver from Dirk-Hoeschen too without success (the drivers provided from Ubuntu 10.10 doesn´t work). I have tried to use NdisWrapper, but this causes more problems, just like a unbootable Ubuntu...

stern88 (i-need-spam123) on 2010-10-24
Changed in network-manager-applet (Ubuntu):
assignee: nobody → stern88 (i-need-spam123)

@stern88, please don't assign yourself to the bug, since it would mean you would work on fixing it...

This sounds like a kernel driver bug. Also, note that in 10,10 wireless N was disabled due to major performance issues, so that could explain what you're seeing (though that's still a kernel issue). Reassigning to the linux package.

Changed in network-manager-applet (Ubuntu):
assignee: stern88 (i-need-spam123) → nobody
affects: network-manager-applet (Ubuntu) → linux (Ubuntu)
theUg (theug) wrote :

After 10.10 update wireless still does not work, however, is being recognized (network manager says “Wireless network (Realtek RTL8192E)” instead of plain “wlan0”). Not sure if it is 10.10’s doing or of unsuccessful attempt to install Dirk’s drivers. Either way, it does not work.

Jeremy Foshee (jeremyfoshee) wrote :

Hi theUg,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu development release http://cdimage.ubuntu.com/daily-live/current/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
theUg (theug) wrote :

Still does not work. Should I try using Windows drivers through ndiswrapper?

Changed in linux (Ubuntu):
status: Expired → Incomplete
status: Incomplete → New
theUg (theug) wrote :

Installing Windows drivers for internal wireless through ndiswrapper GUI did not work. As for Linux drivers, there is a word that Realtek is working on them, but they are not publicly posted, but could be requested. Shall try to e-mail them later.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 574105

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
theUg (theug) wrote : AcpiTables.txt

apport information

tags: added: apport-collected oneiric running-unity staging
description: updated

apport information

apport information

theUg (theug) wrote : BootDmesg.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

theUg (theug) wrote : IwConfig.txt

apport information

theUg (theug) wrote : Lspci.txt

apport information

theUg (theug) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

theUg (theug) wrote : PulseSinks.txt

apport information

apport information

theUg (theug) wrote : UdevDb.txt

apport information

theUg (theug) wrote : UdevLog.txt

apport information

theUg (theug) wrote : WifiSyslog.txt

apport information

Major change with 11.10 release. Previous release still did not work, but after the last upgrade it finally shows, and works after fresh system start. However, it works somewhat unreliable compared to Windows 7 on the same system. Most of the time it works fine, but often, for brief periods of time, it slows down to a crawl, with pages stuck during loading, as if some network bottleneck had been clogged.

And the main issue is that if I put computer to sleep, it disconnects, and goes blind again — same behaviour as before: does not see the wireless adapter completely. So I have to turn off computer every time I leave, then it works upon restart. Wired connection works fine in either case.

Above apport log uploads had been done with internet connected.

theUg (theug) wrote : AcpiTables.txt

apport information

description: updated

apport information

apport information

theUg (theug) wrote : BootDmesg.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

theUg (theug) wrote : Lspci.txt

apport information

theUg (theug) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

theUg (theug) wrote : PulseSinks.txt

apport information

apport information

theUg (theug) wrote : UdevDb.txt

apport information

theUg (theug) wrote : UdevLog.txt

apport information

theUg (theug) wrote : WifiSyslog.txt

apport information

Second set of reports is done when coming back from sleep wireless is not being recognized. Sent using wired connection.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest release candidate kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

theUg, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
theUg (theug) wrote :

This issue may have been partially resolved since 12.04. However I am not sure if it works now out of the box, or because I had tried to use proprietary drivers via NdisWrapper (packages are still installed, I just do not know how to check). Shall try to run it via fresh 12.10 live image.

So, it works on launch, and after returning to sleep. It is more reliable now more of the time, but slow downs still happen, and at times it fails to connect (although rarely loses saved WiFi IDs for a session like before). When it fails, sometimes disabling wireless and networking (in various combinations) for some time helps, but often I have to restart.

When I killall nm-applet, and restart network-manager and nm-applet via terminal, it prints following messages to console when those disconnects happen:

** Message: No keyring secrets found for @EandG/802-11-wireless-security; asking user.

(nm-applet:1344): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

theUg (theug) on 2012-11-12
affects: linux (Ubuntu) → network-manager (Ubuntu)

theUg, thank you for your comments. Could you please provide your full computer model number (ex. np-r780-0jt01US )?

affects: network-manager (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Expired → Incomplete
description: updated
summary: - Ubuntu does not recognize internal wireless adapter on Samsung R780
- laptop
+ 10ec:8192 Ubuntu does not recognize internal wireless adapter on Samsung
+ R780 laptop

Model number is NP-R780-JS01US. Made in March, 2010.

theUg, thank you for providing the laptop model. As per http://www.samsung.com/us/support/owners/product/NP-R780-JS01US an upgrade is available for your BIOS (ver.08JA). If you upgrade to this, does it change anything?

description: updated
summary: - 10ec:8192 Ubuntu does not recognize internal wireless adapter on Samsung
- R780 laptop
+ 10ec:8192 [Samsung Samsung NP-R780-JS01US] Ubuntu does not recognize
+ laptop internal wireless adapter
summary: - 10ec:8192 [Samsung Samsung NP-R780-JS01US] Ubuntu does not recognize
- laptop internal wireless adapter
+ 10ec:8192 [Samsung NP-R780-JS01US] Ubuntu does not recognize laptop
+ internal wireless adapter
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.